com.icesoft.faces.facelets.component.converters

## Class DescriptionLengthConverter

- java.lang.Object
- - com.icesoft.faces.facelets.component.converters.DescriptionLengthConverter

- All Implemented Interfaces:
    java.io.Serializable, javax.faces.convert.Converter

      public class DescriptionLengthConverter
      extends java.lang.Object
      implements javax.faces.convert.Converter, java.io.Serializable

  FacesConverter used to truncate a String to the specified LENGTH
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescriptionLengthConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAsObject(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.String s)`
    `java.lang.String` | `getAsString(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.Object o)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DescriptionLengthConverter

          public DescriptionLengthConverter()

  - ### Method Detail

    - #### getAsObject

          public java.lang.Object getAsObject(javax.faces.context.FacesContext facesContext,
                                              javax.faces.component.UIComponent uiComponent,
                                              java.lang.String s)

      Specified by:
        `getAsObject` in interface `javax.faces.convert.Converter`

    - #### getAsString

          public java.lang.String getAsString(javax.faces.context.FacesContext facesContext,
                                              javax.faces.component.UIComponent uiComponent,
                                              java.lang.Object o)

      Specified by:
        `getAsString` in interface `javax.faces.convert.Converter`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.